library SimpleSampler;

{$include RELEASE_SETTINGS.INC}
{$include DAV_Compiler.inc}
{$include VSTPLUGIN_SWITCHES.INC}

uses
  {$IFDEF FPC}
  Interfaces,
  {$ELSE}
  Windows,
  {$ENDIF}
  Forms,
  DAV_VSTEffect,
  DAV_VSTModule,
  SimpleSamplerModule in 'SimpleSamplerModule.pas' {VSTSSModule: TVSTModule},
  SimpleSamplerGUI in 'SimpleSamplerGUI.pas' {VSTGUI},
  SimpleSamplerVoice in 'SimpleSamplerVoice.pas',
  VoiceList in 'VoiceList.pas';

  
function main(audioMaster: TAudioMasterCallbackFunc): PVSTEffect; cdecl; export;
var VSTSSModule : TVSTSSModule;
begin
  try
    VSTSSModule              := TVSTSSModule.Create(Application);
    VSTSSModule.Effect^.user := VSTSSModule;
    VSTSSModule.AudioMaster  := audioMaster;
    Result                   := VSTSSModule.Effect;
  except
    Result:= nil;
  end;
end;


exports 
  Main name 'main',
  Main name 'VSTPluginMain';

  
begin
  {$IFDEF FPC}Application.Initialize;{$ENDIF}
end.

